@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --primary-color: 181, 50, 60;
    --secondary-color: 18, 18, 18;
    --accent-color: 64, 67, 72;
    --white-color: 255, 255, 255;
    --dark-color: 0, 0, 0;

    --discord-color: 114, 137, 218;
    --youtube-color: 255, 0, 0;
    --twitter-color: 29, 161, 242;
    --twitch-color: 145, 70, 255;
    --tiktok-color: 255, 0, 80;

    --bs-border-radius: 5px;
    --bs-border-radius-xxl: var(--bs-border-radius);
    --bs-border-radius-xl: var(--bs-border-radius);
    --bs-border-radius-lg: var(--bs-border-radius);
    --bs-border-radius-md: var(--bs-border-radius);
    --bs-border-radius-sm: var(--bs-border-radius);
    
    --transition: 250ms;
}

html, body {
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    /* background-color: rgb(181, 50, 60);
    background-color: rgb(14, 4, 4);
    background-color: rgb(64, 67, 72); */
}

body {
    background: linear-gradient(50deg, rgba(var(--primary-color), 10%), rgba(var(--secondary-color), 80%), rgba(var(--secondary-color), 80%), rgba(var(--primary-color), 10%)), rgba(var(--dark-color), 100%);
}

* {
    /* font-size: 16px; */
    font-family: 'Montserrat', sans-serif;
}

p {
    margin-bottom: 0;
}

a {
    color: rgba(var(--white-color), var(--bs-link-opacity, 1));
    text-underline-offset: .25rem;
    -webkit-text-decoration-color: rgba(var(--white-color), var(--bs-link-underline-opacity, .5));
    text-decoration: underline;
    text-decoration-color: rgba(var(--white-color), var(--bs-link-underline-opacity, .5));
    transition: all var(--transition) ease-in-out;
}

a:hover {
    color: rgba(var(--primary-color), var(--bs-link-opacity, 1));
    text-decoration-color: rgba(var(--primary-color), var(--bs-link-underline-opacity, 1));
}

.main {
    display: flex;
    flex-direction: column;
    background-attachment: fixed;
}

.system {
    overflow: hidden;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: rgba(var(--accent-color), 50%);
    border-radius: 20px;
    border: 1px solid transparent;
    background-clip: content-box;
}

::-webkit-scrollbar-thumb:hover {
    background-color: rgba(var(--accent-color));
}

::-webkit-scrollbar-track {
    background-color: transparent;
    /* background-color: rgba(var(--c30), 100%); */
}

/* EXTRA START */
.btn-custom-check {
    --bs-bg-opacity: .05;
    --bs-border-opacity: .25;
    color: rgba(var(--white-color), 100%) !important;
}

.btn-custom-check:hover, .btn-check:checked+.btn-custom-check {
    --bs-bg-opacity: .50;
    --bs-border-opacity: .75;
    color: rgba(var(--white-color), 100%) !important;
}

.custom-swal {
    position: relative;
    background: transparent !important;
    border: none !important;
    color: rgba(var(--white-color), 100%) !important;
}

.custom-swal::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: var(--bs-border-radius);
    background: rgba(var(--secondary-color));
}

.custom-swal::after {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: var(--bs-border-radius);
    background: rgba(var(--accent-color), 15%) !important;
    border: 1px solid rgba(var(--accent-color), 50%);
}

.custom-modal .modal-content {
    position: relative;
    background: transparent !important;
    border: none !important;
}

.custom-modal .modal-content::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: var(--bs-border-radius);
    background: rgba(var(--secondary-color));
}

.custom-modal .modal-content::after {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: var(--bs-border-radius);
    background: rgba(var(--accent-color), 15%) !important;
    border: 1px solid rgba(var(--accent-color), 50%);
}

.custom-modal .modal-header,
.custom-modal .modal-body,
.custom-modal .modal-footer {
    z-index: 1;
}

.custom-swal .swal2-success-circular-line-left, .custom-swal .swal2-success-circular-line-right, .custom-swal .swal2-success-fix {
    background-color: transparent !important;
}

.ck-content {
    background-color: transparent !important;
    border: 0 !important;
}

.inset-0 {
    inset: 0;
}


.datepicker-native-input {
    position: absolute;
    overflow: hidden;
    width: 100%;
    height: 100%;
    right: 0;
    top: 0;
    /* opacity: 0; */
}

.datepicker-native-input::-webkit-calendar-picker-indicator {
    position: absolute;
    right: 0;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    opacity: 0;
    cursor: pointer;
}

.cursor-pointer {
    cursor: pointer !important;
}

.popover-custom {
    border-radius: var(--bs-border-radius);
}

.popover-custom .popover-body {
    padding: .5rem;
}

.tippy-box {
    box-shadow: 0 0 1rem 1px rgba(0, 0, 0, 25%) !important;
    background: rgba(var(--accent-color));
}

.tippy-arrow {
    color: rgba(var(--accent-color));
}

.tippy-box * {
    font-size: .75rem;
}

.bg-opacity-15 {
    --bs-bg-opacity: 15%;
}

.border-custom1 {
    border-color: rgba(var(--primary-color), var(--bs-border-opacity, 1)) !important;
}

.border-custom2 {
    border-color: rgba(var(--secondary-color), var(--bs-border-opacity, 1)) !important;
}

.border-custom3 {
    border-color: rgba(var(--accent-color), var(--bs-border-opacity, 1)) !important;
}

.bg-custom1 {
    background-color: rgba(var(--primary-color), var(--bs-bg-opacity, 1)) !important;
}

.bg-custom2 {
    background-color: rgba(var(--secondary-color), var(--bs-bg-opacity, 1)) !important;
}

.bg-custom3 {
    background-color: rgba(var(--accent-color), var(--bs-bg-opacity, 1)) !important;
}

.text-custom1 {
    color: rgba(var(--primary-color), var(--bs-text-opacity, 1)) !important;
}

.text-custom2 {
    color: rgba(var(--secondary-color), var(--bs-text-opacity, 1)) !important;
}

.text-custom3 {
    color: rgba(var(--accent-color), var(--bs-text-opacity, 1)) !important;
}

.text-discord {
    color: rgba(var(--discord-color), var(--bs-text-opacity, 1));
}

.text-youtube {
    color: rgba(var(--youtube-color), var(--bs-text-opacity, 1));
}

.text-twitter {
    color: rgba(var(--twitter-color), var(--bs-text-opacity, 1));
}

.text-twitch {
    color: rgba(var(--twitch-color), var(--bs-text-opacity, 1));
}

.text-tiktok {
    color: rgba(var(--tiktok-color), var(--bs-text-opacity, 1));
}

.card-custom {
    background-color: rgba(var(--accent-color), 15%);
    border: 1px solid rgba(var(--accent-color), 50%);
}

.card-custom.active {
    border-color: rgba(var(--primary-color), 100%);
}

.online {
    border-color: rgba(var(--bs-success-rgb), 100%) !important;
}

.offline {
    border-color: rgba(var(--bs-danger-rgb), 100%) !important;
}

.scale {
    transition: all var(--transition) ease-in-out;
}

.scale:hover {
    transform: scale(1.01);
}

.dont-scale {
    transform: none !important;
}

.card-hover {
    transition: all var(--transition) ease-in-out;
}

.card-hover:hover {
    border-color: rgba(var(--primary-color), 100%);
}

.btn {
    --bs-btn-padding-y: .35rem;
    --bs-btn-padding-x: 1rem;
    --bs-btn-font-weight: 300;
    transition: all var(--transition) ease-in-out;
}

.btn-sm {
    --bs-btn-padding-y: .25rem;
    --bs-btn-padding-x: .75rem;
    --bs-btn-font-size: .75rem;
}

.btn:hover {
    transform: scale(.975);
}

.btn-custom1 {
    --bs-btn-color: #fff;
    --bs-btn-bg: rgba(var(--primary-color), 100%);
    --bs-btn-border-color: rgba(var(--primary-color), 100%);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgba(var(--primary-color), 50%);
    --bs-btn-hover-border-color: rgba(var(--primary-color), 50%);
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgba(var(--primary-color), 50%);
    --bs-btn-active-border-color: rgba(var(--primary-color), 50%);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: rgba(var(--primary-color), 100%);
    --bs-btn-disabled-border-color: rgba(var(--primary-color), 100%);
}

.btn-outline-custom1 {
    --bs-btn-color: rgba(var(--primary-color), 100%);
    --bs-btn-border-color: rgba(var(--primary-color), 100%);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgba(var(--primary-color), 100%);
    --bs-btn-hover-border-color: rgba(var(--primary-color), 100%);
    --bs-btn-focus-shadow-rgb: 13,110,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgba(var(--primary-color), 100%);
    --bs-btn-active-border-color: rgba(var(--primary-color), 100%);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: rgba(var(--primary-color), 100%);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: rgba(var(--primary-color), 100%);
    --bs-gradient: none;
}

.btn-custom2 {
    --bs-btn-color: #fff;
    --bs-btn-bg: rgba(var(--accent-color), 100%);
    --bs-btn-border-color: rgba(var(--accent-color), 100%);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgba(var(--accent-color), 50%);
    --bs-btn-hover-border-color: rgba(var(--accent-color), 50%);
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgba(var(--accent-color), 50%);
    --bs-btn-active-border-color: rgba(var(--accent-color), 50%);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: rgba(var(--accent-color), 100%);
    --bs-btn-disabled-border-color: rgba(var(--accent-color), 100%);
}

.btn-outline-custom2 {
    --bs-btn-color: rgba(var(--white-color), 100%);
    --bs-btn-border-color: rgba(var(--accent-color), 100%);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgba(var(--accent-color), 100%);
    --bs-btn-hover-border-color: rgba(var(--accent-color), 100%);
    --bs-btn-focus-shadow-rgb: 13,110,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgba(var(--accent-color), 100%);
    --bs-btn-active-border-color: rgba(var(--accent-color), 100%);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: rgba(var(--accent-color), 100%);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: rgba(var(--accent-color), 100%);
    --bs-gradient: none;
}

.btn-custom3 {
    --bs-btn-color: rgba(var(--dark-color), 100%);
    --bs-btn-bg: rgba(var(--white-color), 100%);
    --bs-btn-border-color: rgba(var(--white-color), 100%);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgba(var(--white-color), 50%);
    --bs-btn-hover-border-color: rgba(var(--white-color), 50%);
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgba(var(--white-color), 50%);
    --bs-btn-active-border-color: rgba(var(--white-color), 50%);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: rgba(var(--white-color), 100%);
    --bs-btn-disabled-border-color: rgba(var(--white-color), 100%);
}

.btn-outline-custom3 {
    --bs-btn-color: rgba(var(--dark-color), 100%);
    --bs-btn-border-color: rgba(var(--white-color), 100%);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgba(var(--white-color), 100%);
    --bs-btn-hover-border-color: rgba(var(--white-color), 100%);
    --bs-btn-focus-shadow-rgb: 13,110,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgba(var(--white-color), 100%);
    --bs-btn-active-border-color: rgba(var(--white-color), 100%);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: rgba(var(--white-color), 100%);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: rgba(var(--white-color), 100%);
    --bs-gradient: none;
}

.btn-discord {
    --bs-btn-color: #fff;
    --bs-btn-bg: rgba(var(--discord-color), 100%);
    --bs-btn-border-color: rgba(var(--discord-color), 100%);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: rgba(var(--discord-color), 50%);
    --bs-btn-hover-border-color: rgba(var(--discord-color), 50%);
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: rgba(var(--discord-color), 50%);
    --bs-btn-active-border-color: rgba(var(--discord-color), 50%);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: rgba(var(--discord-color), 100%);
    --bs-btn-disabled-border-color: rgba(var(--discord-color), 100%);
}

.btn-custom-custom1 {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--primary-color), 50%);
    border-color: rgba(var(--primary-color), 100%);
}

.btn-custom-custom1.active,
.btn-custom-custom1:hover,
.btn-custom-custom1:focus,
.btn-custom-custom1:active {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--primary-color), 100%);
    border-color: rgba(var(--primary-color), 100%);
}

.btn-custom-custom2 {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--secondary-color), 50%);
    border-color: rgba(var(--white-color), 25%);
}

.btn-custom-custom2.active,
.btn-custom-custom2:hover,
.btn-custom-custom2:focus,
.btn-custom-custom2:active {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--secondary-color), 100%);
    border-color: rgba(var(--white-color), 25%);
}

.btn-custom-custom3 {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--accent-color), 50%);
    border-color: rgba(var(--accent-color), 100%);
}

.btn-custom-custom3.active,
.btn-custom-custom3:hover,
.btn-custom-custom3:focus,
.btn-custom-custom3:active {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--accent-color), 100%);
    border-color: rgba(var(--accent-color), 100%);
}

.btn-custom-discord {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--discord-color), 50%);
    border-color: rgba(var(--discord-color), 100%);
}

.btn-custom-discord.active,
.btn-custom-discord:hover,
.btn-custom-discord:focus,
.btn-custom-discord:active {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--discord-color), 100%);
    border-color: rgba(var(--discord-color), 100%);
}

.btn-custom-custom, .btn-custom {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--primary-color), 50%);
    border-color: rgba(var(--primary-color), 100%);
}

.btn-custom-custom.active,
.btn-custom-custom:hover,
.btn-custom-custom:focus,
.btn-custom-custom:active,
.btn-custom.active,
.btn-custom:hover,
.btn-custom:focus,
.btn-custom:active {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--primary-color), 100%);
    border-color: rgba(var(--primary-color), 100%);
}

.btn-custom-primary {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-primary-rgb), 50%);
    border-color: rgba(var(--bs-primary-rgb), 100%);
}

.btn-custom-primary.active,
.btn-custom-primary:hover,
.btn-custom-primary:focus,
.btn-custom-primary:active {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-primary-rgb), 100%);
    border-color: rgba(var(--bs-primary-rgb), 100%);
}

.btn-custom-secondary {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-secondary-rgb), 50%);
    border-color: rgba(var(--bs-secondary-rgb), 100%);
}

.btn-custom-secondary.active,
.btn-custom-secondary:hover,
.btn-custom-secondary:focus,
.btn-custom-secondary:active {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-secondary-rgb), 100%);
    border-color: rgba(var(--bs-secondary-rgb), 100%);
}

.btn-custom-dark {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-dark-rgb), 50%);
    border-color: rgba(var(--bs-dark-rgb), 100%);
}

.btn-custom-dark.active,
.btn-custom-dark:hover,
.btn-custom-dark:focus,
.btn-custom-dark:active {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-dark-rgb), 100%);
    border-color: rgba(var(--bs-dark-rgb), 100%);
}

.btn-custom-info {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-info-rgb), 50%);
    border-color: rgba(var(--bs-info-rgb), 100%);
}

.btn-custom-info.active,
.btn-custom-info:hover,
.btn-custom-info:focus,
.btn-custom-info:active {
    color: rgba(var(--dark-color), 100%) !important;
    background-color: rgba(var(--bs-info-rgb), 100%);
    border-color: rgba(var(--bs-info-rgb), 100%);
}

.btn-custom-danger {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-danger-rgb), 50%);
    border-color: rgba(var(--bs-danger-rgb), 100%);
}

.btn-custom-danger.active,
.btn-custom-danger:hover,
.btn-custom-danger:focus,
.btn-custom-danger:active {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-danger-rgb), 100%);
    border-color: rgba(var(--bs-danger-rgb), 100%);
}

.btn-custom-success {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-success-rgb), 50%);
    border-color: rgba(var(--bs-success-rgb), 100%);
}

.btn-custom-success.active,
.btn-custom-success:hover,
.btn-custom-success:focus,
.btn-custom-success:active {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-success-rgb), 100%);
    border-color: rgba(var(--bs-success-rgb), 100%);
}

.btn-custom-warning {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--bs-warning-rgb), 50%);
    border-color: rgba(var(--bs-warning-rgb), 100%);
}

.btn-custom-warning.active,
.btn-custom-warning:hover,
.btn-custom-warning:focus,
.btn-custom-warning:active {
    color: rgba(var(--dark-color), 100%) !important;
    background-color: rgba(var(--bs-warning-rgb), 100%);
    border-color: rgba(var(--bs-warning-rgb), 100%);
}

.btn-custom-light {
    color: rgba(var(--dark-color), 100%) !important;
    background-color: rgba(var(--bs-light-rgb), 50%);
    border-color: rgba(var(--bs-light-rgb), 100%);
}

.btn-custom-light.active,
.btn-custom-light:hover,
.btn-custom-light:focus,
.btn-custom-light:active {
    color: rgba(var(--dark-color), 100%) !important;
    background-color: rgba(var(--bs-light-rgb), 100%);
    border-color: rgba(var(--bs-light-rgb), 100%);
}

.form-control, .form-select {
    /* color: rgba(var(--white-color), 100%) !important; */
    background-color: rgba(var(--secondary-color), 20%) !important;
    border-color: rgba(var(--white-color), 20%);
}

.form-control:disabled, .form-select {
    background-color: rgba(var(--secondary-color), 25%) !important;
}

.form-control,
.form-button,
.input-group-text,
.form-select {
    padding: 12px;
    line-height: 1.3;
    font-size: .95rem;
    font-weight: 300;
}

.form-select option {
    background-color: rgba(var(--secondary-color), 100%);
}

.form-floating>.form-control-plaintext~label::after, .form-floating>.form-control:focus~label::after, .form-floating>.form-control:not(:placeholder-shown)~label::after, .form-floating>.form-select~label::after {
    background-color: transparent !important;
}

.form-control.disabled, .form-control:disabled {
    background-color: rgba(var(--accent-color), 25%) !important;
}

.form-control:focus,
.form-select:focus {
    color: rgba(var(--white-color), 100%) !important;
    font-weight: 300;
    border-color: rgba(var(--primary-color), 50%);
    box-shadow: 0 0 0 0.25rem rgba(var(--primary-color), 10%);
}

.form-control::placeholder {
    /* color: rgba(var(--text), 100%) !important;
    font-weight: 300; */
}

.table-custom {
    --bs-table-color: rgba(var(--white-color), 80%);
    --bs-table-bg: rgba(var(--accent-color), 10%);
    --bs-table-border-color: rgba(var(--accent-color), 50%);
    --bs-table-striped-bg: rgba(var(--accent-color), 5%);
    --bs-table-striped-color: rgba(var(--white-color), 100%);
    --bs-table-active-bg: rgba(var(--secondary-color), 50%);
    --bs-table-active-color: #fff;
    --bs-table-hover-bg: rgba(var(--accent-color), 15%);
    --bs-table-hover-color: rgba(var(--primary-color), 100%);
    color: var(--bs-table-color) !important;
    border-color: var(--bs-table-border-color);
    font-size: .9rem;
}

.table-custom .rejected {
    --bs-table-color: rgba(var(--white-color), 80%);
    --bs-table-bg: rgba(var(--bs-danger-rgb), 5%);
    --bs-table-border-color: rgba(var(--accent-color), 50%);
    --bs-table-striped-bg: rgba(var(--accent-color), 5%);
    --bs-table-striped-color: rgba(var(--white-color), 100%);
    --bs-table-active-bg: rgba(var(--secondary-color), 50%);
    --bs-table-active-color: #fff;
    --bs-table-hover-bg: rgba(var(--accent-color), 15%);
    --bs-table-hover-color: rgba(var(--primary-color), 100%);
    color: var(--bs-table-color) !important;
    border-color: var(--bs-table-border-color);
}

.table-custom .done {
    --bs-table-color: rgba(var(--white-color), 80%);
    --bs-table-bg: rgba(var(--bs-success-rgb), 5%);
    --bs-table-border-color: rgba(var(--accent-color), 50%);
    --bs-table-striped-bg: rgba(var(--accent-color), 5%);
    --bs-table-striped-color: rgba(var(--white-color), 100%);
    --bs-table-active-bg: rgba(var(--secondary-color), 50%);
    --bs-table-active-color: #fff;
    --bs-table-hover-bg: rgba(var(--accent-color), 15%);
    --bs-table-hover-color: rgba(var(--primary-color), 100%);
    color: var(--bs-table-color) !important;
    border-color: var(--bs-table-border-color);
}

.table-custom th {
    border-top: 0;
}

.table-custom td:first-child, .table-custom th:first-child {
    border-left: 0;
}

.table-custom td:last-child, .table-custom th:last-child {
    border-right: 0;
}

.table-header {
    --bs-table-bg: rgba(var(--accent-color), 30%);
}
/* EXTRA END */

/* CLIENT START */
.client-page {
    overflow: hidden;
    height: 100%;
    width: 100%;
    display: grid;
    grid-template-columns: minmax(max-content, auto) 1fr;
    grid-template-rows: max-content 1fr;
    grid-template-areas:
        "client-brand client-panelheader"
        "client-sidebar client-content";
}

.client-brand {
    width: 250px;
    height: 62px;
    padding: 0.5rem 1rem;
    transition: all var(--transition) ease-out;
    background-color: rgba(var(--accent-color), 15%);
    border-right: 1px solid rgba(var(--accent-color), 50%);
    border-bottom: 1px solid rgba(var(--accent-color), 50%);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.client-panelheader {
    height: 62px;
    transition: all var(--transition) ease-out;
    background-color: rgba(var(--accent-color), 15%);
    border-bottom: 1px solid rgba(var(--accent-color), 50%);
}

.client-sidebar {
    width: 250px;
    height: calc(100vh - 62px);
    display: flex;
    flex-direction: column;
    transition: all var(--transition) ease-out;
    background-color: rgba(var(--accent-color), 15%);
    border-right: 1px solid rgba(var(--accent-color), 50%);
}

.client-brand .logo-text {
    text-shadow: 0 0 20px rgba(var(--primary-color), 25%);
    text-decoration: none;
    color: rgba(var(--primary-color), 100%);
    width: 100%;
    height: 100%;
    overflow: hidden;
    vertical-align: middle;
    align-content: center;
    padding-right: .5rem;
}

.fs-toggler {
    background: transparent;
    border: 0;
    outline: 0;
}

.fs-toggler .icon {
    display: block;
    position: relative;
    width: 18px;
    height: 18px;
    margin: auto auto .4rem;
    transition: all var(--transition) cubic-bezier(.22,1,.36,1);
}

.fs-toggler .icon .bar {
    display: block;
    position: absolute;
    top: 3px;
    left: 0;
    right: 0;
    width: 18px;
    height: 2px;
    background: rgba(var(--white-color), 50%);
    margin: auto;
    transition: all var(--transition) ease-out;
    border-radius: .5rem;
}

.fs-toggler:hover .icon .bar, .fs-toggler:not(.collapsed) .icon .bar {
    background: rgba(var(--white-color), 100%);
    transition: all var(--transition) ease-out;
}

.fs-toggler:not(.collapsed) .icon .bar:nth-child(2),
.fs-toggler:not(.collapsed) .icon .bar:nth-child(3) {
    width: auto;
}

.fs-toggler .icon .bar:nth-child(2) {
    top: -ms-calc(50% - .5px);
    top: 50%;
    width: 12px;
    margin-left: 0;
}

.fs-toggler .icon .bar:nth-child(3) {
    top: -ms-calc(100% - 3px);
    top: calc(100% - 3px);
    width: 8px;
    margin-left: 0;
}

.fs-toggler:hover .text, .fs-toggler:not(.collapsed) .text {
    color: rgba(var(--white-color), 100%);
}

.fs-toggler .text {
    display: block;
    width: 100%;
    text-align: center;
    font-size: .9rem;
    line-height: 1.25;
    font-weight: 300;
    color: rgba(var(--white-color), 50%);
    transition: all var(--transition) ease-out;
}

.client-panelheader .nav-link {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.5rem 1.5rem !important;
}

.client-panelheader .nav-link:hover,
.client-panelheader .nav-link.show {
    background-color: rgba(var(--c10), 50%);
}

.client-panelheader .search-content {
    position: relative;
    /* padding: .6rem; */
    min-width: 300px;
}

.client-panelheader .search-content .search-input {
    height: 100%;
    padding: .5rem 1rem !important;
    background-color: rgba(var(--accent-color), 15%) !important;
}

.client-panelheader .search-content .search-dropdown {
    padding: 0;
    border: 1px solid rgba(var(--primary-color), 50%);
    border-radius: 0;
    border-bottom-left-radius: var(--bs-border-radius);
    border-bottom-right-radius: var(--bs-border-radius);
    margin-top: 0 !important;
    left: -1px;
    right: -1px;
    max-height: calc(100vh - 90px);
    overflow: auto;
}

.client-panelheader .search-content .search-dropdown .dropdown-content {
    padding: 0 .6rem .6rem .6rem;
}

.client-panelheader .search-content .search-dropdown .dropdown-content .content {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.sidebar-menu {
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
}

.sidebar-menu-wrapper, .sidebar-footer {
    padding: .85rem;
}

.sidebar-menu .sidebar-list:first-child {
    margin-top: 0;
}

.sidebar-list-menu {
    display: flex;
    flex-direction: column;
    list-style: none;
    padding: 0;
    margin: 0;
    position: unset !important;
    padding: 0.25rem 0 0 0;
}

.sidebar-list {
    display: flex;
    flex-direction: column;
    list-style: none;
    padding: 0;
    margin: .25rem 0 0 0;
    position: unset !important;
}

.sidebar-list .dropdown-menu {
    position: relative !important;
    inset: 0 !important;
    margin: 0 !important;
    transform: none !important;
    background: none !important;
    border: 0 !important;
    box-shadow: none !important;
    transition: all var(--transition) ease-out;
    padding: .25rem 0 0 1rem !important;
    min-width: unset !important;
    margin-bottom: .75rem !important;
}

.sidebar-list .dropdown-menu::before {
    content: "";
    position: absolute;
    top: 7px;
    left: 8px;
    bottom: 0;
    height: 100%;
    width: 1px;
    background-color: rgba(var(--accent-color), 50%);
}

.sidebar-list .dropdown-menu::after {
    content: "";
    position: absolute;
    left: 9px;
    bottom: -7px;
    width: 15px;
    height: 1px;
    background-color: rgba(var(--accent-color), 50%);
}

.sidebar-item {
    margin-bottom: 0.25rem;
}

.sidebar-head {
    font-size: .85rem;
    font-weight: 800;
    text-transform: uppercase;
}

.sidebar-link, .sidebar-dropitem {
    color: rgba(var(--white-color), 50%) !important;
    border: 1px solid transparent;
    font-size: .95rem;
    font-weight: 300;
    padding: .4rem .75rem;
    display: flex;
    align-items: center;
    text-align: start;
    border-radius: var(--bs-border-radius);
    margin: 0;
    text-decoration: none;
    transition: all var(--transition);
    gap: 10px;
}

.sidebar-link.danger {
    color: rgba(var(--bs-danger-rgb), 100%) !important;
}

.sidebar-link.danger:hover,
.sidebar-link.danger:active,
.sidebar-link.danger.active,
.sidebar-link.danger:focus {
    color: rgba(var(--bs-danger-rgb), 100%) !important;
    background-color: rgba(var(--bs-danger-rgb), 15%) !important;
}

.dropdown-icon {
    width: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.dropdown-end {
    margin-left: auto;
    /* background-color: rgba(var(--accent-color), 15%) !important; */
    padding: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 6px;
    transition: all var(--transition) ease-in-out;
}

.dropdown-end i {
    transition: all var(--transition) ease-in-out;
}

.variables {
    cursor: pointer;
    user-select: none;
}

.variables:hover,
.variables:focus {
    opacity: .7;
}

.sidebar-link.show,
a.sidebar-dropitem.show {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--accent-color), 50%) !important;
}

a.sidebar-dropitem.show .dropdown-end i {
    transform: rotate(-180deg);
}

.sidebar-link:hover,
a.sidebar-dropitem:hover {
    transform: scale(.975);
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--accent-color), 50%) !important;
}

.sidebar-link:active,
.sidebar-link.active,
.sidebar-link:focus {
    color: rgba(var(--white-color), 100%) !important;
    background-color: rgba(var(--accent-color), 50%) !important;
}

/* .sidebar-link:hover i, 
a.sidebar-dropitem:hover i,
.sidebar-link.active i, 
a.sidebar-dropitem.active i {
    color: rgba(var(--white), 100%) !important;
} */

.client-content {
    /* overflow: auto; */
    box-shadow: inset 0 0 .25rem rgba(0,0,0,.075) !important;
    display: flex;
    flex-direction: column;
    height: calc(100vh - 62px);
    /* background-color: rgba(var(--secondary-color)); */
}

.client-content .content-wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
}

.content-header {
    display: flex;
    align-items: center;
    padding: .75rem;
    height: 48px;
    background-color: rgba(var(--accent-color), 15%);
    border-bottom: 1px solid rgba(var(--accent-color), 50%);
}

.content-section {
    height: calc(100vh - 62px - 48px - 48px);
    overflow: auto;
}

.section-wrapper {
    padding: 2rem;
}

.content-footer {
    font-size: .9rem;
    text-align: center;
    height: 48px;
    background-color: rgba(var(--accent-color), 15%);
    border-top: 1px solid rgba(var(--accent-color), 50%);
    padding: .75rem;
    margin-top: auto;
}

.nav-tabs {
    border-bottom: 0 !important;
}

.nav-tabs .nav-link {
    background-color: rgba(var(--dark_color), 25%);
    border: 0 !important;
    color: #fff;
    box-shadow: none !important;
    margin: 0;
    font-weight: 500;
}

.bar-statistic {}
.bar-statistic .statistic-table {
    --bs-table-bg: rgba(var(--dark-color));
    border-width: 0;
}
.bar-statistic .statistic-tbody {}

.bar-statistic th,
.bar-statistic td {
    padding: 0;
}

.bar-statistic .statistic-thead {
    padding: .5rem;
    font-size: .75rem;
    font-weight: 300;
}

.tbody-time {
    font-size: .75rem;
}

.border-transparent {
    border-color: transparent !important;
}

.cell-row {
    min-width: 100%;
    -webkit-box-flex: 0;
    -webkit-flex: none;
    flex: none;
    display: -webkit-inline-box;
    display: -webkit-inline-flex;
    display: inline-flex;
    vertical-align: top;
}

.edie {
    width: 8px;
    border-right: 1px solid rgb(var(--accent-color), 25%);
}

.edie-borders {
    border-top: 1px solid rgb(var(--accent-color), 25%);
}

.edie-height::after {
    border-bottom-color: rgb(var(--accent-color), 25%);
}

.edie-height::after {
    content: "";
    border-bottom: 1px solid rgb(var(--accent-color), 25%);
    position: absolute;
    width: calc(100% - 40px - 16px);
    right: 8px;
    margin-top: -1px;
    z-index: 3;
    pointer-events: none;
}

.cell {
    border-right: 1px solid rgb(var(--accent-color), 25%);
    position: relative;
    box-sizing: border-box;
    -webkit-box-flex: 1;
    -webkit-flex: 1 1 auto;
    flex: 1 1 auto;
}

.cell-filler {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 3;
    display: flex;
    flex-direction: column;
}

.time-used {
    height: 0%;
    margin: 0 .5rem 0 .5rem;
    background-color: rgba(var(--primary-color), 25%);
    border: 1px solid rgba(var(--primary-color), 50%);
    backdrop-filter: blur(10px);
    max-height: -webkit-fill-available;
}

.total-time {
    position: absolute;
    top: -16px;
    font-size: .7rem;
    text-align: center;
    right: 0;
    left: 0;
}

.presentation {
    display: flex;
    flex-direction: column;
    justify-content: end;
    gap: 3px;
    position: relative;
    overflow: hidden;
}

.date {
    height: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: .25rem;
    font-size: .7rem;
    line-height: 1.1;
}

.custom-calculator {
    position: absolute;
    bottom: 0;
    right: 0;
    overflow: hidden;
    max-width: 300px;
    width: 100%;
    z-index: 555555555;
}

.custom-calculator-button:hover, .custom-calculator-button.calculator-active {
    color: rgba(var(--white-color));
}

.calculator-rotate {
    transition: rotate 250ms ease-in-out;
}

.calculator-active .calculator-rotate {
    rotate: 180deg;
}

.custom-calculator .calculator-wrapper {
    position: relative;
    z-index: 1;
}

.custom-calculator .calculator-content {
    overflow: hidden;
}

.custom-calculator::before {
    content: "";
    position: absolute;
    inset: 0;
    border-top-left-radius: var(--bs-border-radius);
    background: rgba(var(--secondary-color));
}

.custom-calculator::after {
    content: "";
    position: absolute;
    inset: 0;
    border-top-left-radius: var(--bs-border-radius);
    background: rgba(var(--accent-color), 15%) !important;
    border: 1px solid rgba(var(--accent-color), 50%);
}
/* CLIENT END */

/* MEDIA START */
@media screen and (max-width: 768px) {
    .fs-header .fs-navbar-2 {
        background-color: rgba(var(--secondary-color), 100%);
        border-bottom: 1px solid rgba(var(--white-color));
    }
}
/* MEDIA END */

/* KEYFRAMES START */
@keyframes blink-caret {
    50% {
        border-color: transparent;
    }
}

@keyframes growDown {
    0% {
        transform: scaleY(0)
    }

    80% {
        transform: scaleY(1.1)
    }

    100% {
        transform: scaleY(1)
    }
}

@keyframes rotateMenu {
    0% {
        transform: rotateX(-90deg)
    }

    70% {
        transform: rotateX(20deg)
    }

    100% {
        transform: rotateX(0deg)
    }
}
/* KEYFRAMES END */